GreatWksDBParser.cxx File Reference
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <cmath>`
`#include <limits>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSpreadsheetListener.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "GreatWksDocument.hxx"`
`#include "GreatWksGraph.hxx"`
`#include "GreatWksText.hxx"`
`#include "GreatWksDBParser.hxx"`

## Classes

struct | GreatWksDBParserInternal::BlockHeader
| a big zone header of a GreatWksDBParser More...
struct | GreatWksDBParserInternal::Block
| a big block of a GreatWksDBParser More...
struct | GreatWksDBParserInternal::Block::Zone
| a small block of a GreatWksDBParserInternal::Block More...
class | GreatWksDBParserInternal::Cell
| a cell of a GreatWksDBParser More...
struct | GreatWksDBParserInternal::Field
| a field of a GreatWksDBParser More...
class | GreatWksDBParserInternal::Database
| the database of a GreatWksDBParser More...
struct | GreatWksDBParserInternal::State
| Internal: the state of a GreatWksDBParser. More...
class | GreatWksDBParserInternal::SubDocument
| Internal: the subdocument of a GreatWksDBParser. More...

## Namespaces

namespace | GreatWksDBParserInternal
| Internal: the structures of a GreatWksDBParser.

## Functions

std::ostream & | GreatWksDBParserInternal::operator<< (std::ostream &o, Field const &field)